1 2 3 Previous Next 35 Replies Latest reply on Mar 21, 2017 5:54 PM by Intel Corporation

    OpenCV additional modules

    AdamMiltonBarker

      Hi guys we need OpenCV additional modules installed so that we can use createEigenFaceRecognizer and model.save()/load() etc for a fallback demo. I have managed to get a lot of the required packages installed via either OPKG or source but am struggling with the following below. In addition after an OPKG update and upgrade I am now getting the XDK errors every time I attempt and OPKG install. I have actually installed gstreamer using OPKG but it is still saying not found, in addition HDF5 is installed as we have  installed Caffe, protobuf was already installed so unsure why it downloaded it again. I am hoping to not have to update python.

       

      If anyone knows a way to get around all of this lot would be a great help.

       

      Thanks in advance.

       

      
      cmake -D INSTALL_PYTHON_EXAMPLES=OFF -DBUILD_opencv_legacy=OFF -DBUILD_opencv_java=OFF -DBUILD_opencv_python=OFF -BUILD_SHARED_LIBS=OFF -DBUILD_TIFF=ON -DBUILD_opencv_java=OFF -DWITH_CUDA=OFF -DENABLE_AVX=ON -DWITH_OPENGL=ON -DWITH_OPENCL=ON -DWITH_IPP=ON -DWITH_TBB=ON -DWITH_EIGEN=ON -DWITH_V4L=ON -DBUILD_TESTS=OFF -DBUILD_PERF_TESTS=OFF -DCMAKE_BUILD_TYPE=RELEASE -DBUILD_TESTS=OFF -DBUILD_PERF_TESTS=OFF -DWITH_VTK=OFF  -DOPENCV_EXTRA_MODULES_PATH=/home/root/opencv-3.1.0/opencv_contrib/modules /home/root/opencv-3.1.0/
      -- Detected version of GNU GCC: 49 (409)
      -- sizeof(void) = 4 on x86 / x86_64 processor. Assume 32-bit compilation mode (X86=1)
      -- Found ZLIB: /usr/lib/libz.so (found suitable version "1.2.8", minimum required is "1.2.3") 
      -- Found ZLIB: /usr/lib/libz.so (found version "1.2.8") 
      -- Checking for module 'gtk+-3.0'
      --   No package 'gtk+-3.0' found
      -- Checking for module 'gtk+-2.0'
      --   No package 'gtk+-2.0' found
      -- Checking for module 'gtkglext-1.0'
      --   No package 'gtkglext-1.0' found
      -- Checking for module 'gstreamer-base-1.0'
      --   No package 'gstreamer-base-1.0' found
      -- Checking for module 'gstreamer-video-1.0'
      --   No package 'gstreamer-video-1.0' found
      -- Checking for module 'gstreamer-app-1.0'
      --   No package 'gstreamer-app-1.0' found
      -- Checking for module 'gstreamer-riff-1.0'
      --   No package 'gstreamer-riff-1.0' found
      -- Checking for module 'gstreamer-pbutils-1.0'
      --   No package 'gstreamer-pbutils-1.0' found
      -- Checking for module 'gstreamer-base-0.10'
      --   No package 'gstreamer-base-0.10' found
      -- Checking for module 'gstreamer-video-0.10'
      --   No package 'gstreamer-video-0.10' found
      -- Checking for module 'gstreamer-app-0.10'
      --   No package 'gstreamer-app-0.10' found
      -- Checking for module 'gstreamer-riff-0.10'
      --   No package 'gstreamer-riff-0.10' found
      -- Checking for module 'gstreamer-pbutils-0.10'
      --   No package 'gstreamer-pbutils-0.10' found
      -- Checking for module 'libdc1394-2'
      --   No package 'libdc1394-2' found
      -- Checking for module 'libdc1394'
      --   No package 'libdc1394' found
      -- Checking for module 'libv4l1'
      --   No package 'libv4l1' found
      -- Checking for module 'libv4l2'
      --   No package 'libv4l2' found
      -- Looking for linux/videodev.h
      -- Looking for linux/videodev.h - not found
      -- Looking for linux/videodev2.h
      -- Looking for linux/videodev2.h - found
      -- Looking for sys/videoio.h
      -- Looking for sys/videoio.h - not found
      -- Checking for module 'libavcodec'
      --   No package 'libavcodec' found
      -- Checking for module 'libavformat'
      --   No package 'libavformat' found
      -- Checking for module 'libavutil'
      --   No package 'libavutil' found
      -- Checking for module 'libswscale'
      --   No package 'libswscale' found
      -- Checking for module 'libavresample'
      --   No package 'libavresample' found
      -- Looking for libavformat/avformat.h
      -- Looking for libavformat/avformat.h - not found
      -- Looking for ffmpeg/avformat.h
      -- Looking for ffmpeg/avformat.h - not found
      -- Checking for module 'libgphoto2'
      --   No package 'libgphoto2' found
      -- Checking for module 'tbb'
      --   No package 'tbb' found
      -- On 32-bit Linux IPP can not currently be used with dynamic libs because of linker errors. Set BUILD_SHARED_LIBS=OFF
      -- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
      -- To enable PlantUML support, set PLANTUML_JAR environment variable or pass -DPLANTUML_JAR=<filepath> option to cmake
      -- Could NOT find PythonInterp: Found unsuitable version "2.7.3", but required is at least "3.4" (found /usr/bin/python)
      -- Could NOT find PythonInterp: Found unsuitable version "2.7.3", but required is at least "3.2" (found /usr/bin/python)
      -- Could NOT find JNI (missing:  JAVA_AWT_LIBRARY JAVA_JVM_LIBRARY JAVA_INCLUDE_PATH JAVA_INCLUDE_PATH2 JAVA_AWT_INCLUDE_PATH) 
      -- Could NOT find Matlab (missing:  MATLAB_MEX_SCRIPT MATLAB_INCLUDE_DIRS MATLAB_ROOT_DIR MATLAB_LIBRARIES MATLAB_LIBRARY_DIRS MATLAB_MEXEXT MATLAB_ARCH MATLAB_BIN) 
      -- Caffe:   YES
      -- Protobuf:   YES
      -- Glog:   YES
      -- Could NOT find HDF5 (missing:  HDF5_LIBRARIES HDF5_INCLUDE_DIRS) 
      -- Module opencv_sfm disabled because the following dependencies are not found: Eigen Glog/Gflags
      -- Module opencv_cnn_3dobj disabled because opencv_viz dependency can't be resolved!
      -- Performing Test HAVE_CXX_WNO_MAYBE_UNINITIALIZED
      -- Performing Test HAVE_CXX_WNO_MAYBE_UNINITIALIZED - Success
      -- Performing Test HAVE_CXX_WNO_SIGN_PROMO
      -- Performing Test HAVE_CXX_WNO_SIGN_PROMO - Success
      -- Performing Test HAVE_CXX_WNO_MISSING_PROTOTYPES
      -- Performing Test HAVE_CXX_WNO_MISSING_PROTOTYPES - Failed
      -- Performing Test HAVE_CXX_WNO_DEPRECATED
      -- Performing Test HAVE_CXX_WNO_DEPRECATED - Success
      -- Performing Test HAVE_CXX_WNO_UNUSED_LOCAL_TYPEDEFS
      -- Performing Test HAVE_CXX_WNO_UNUSED_LOCAL_TYPEDEFS - Success
      -- Performing Test HAVE_CXX_WNO_TAUTOLOGICAL_UNDEFINED_COMPARE
      -- Performing Test HAVE_CXX_WNO_TAUTOLOGICAL_UNDEFINED_COMPARE - Failed
      -- Performing Test HAVE_CXX_WNO_IGNORED_QUALIFIERS
      -- Performing Test HAVE_CXX_WNO_IGNORED_QUALIFIERS - Success
      -- Performing Test HAVE_CXX_WNO_UNUSED_FUNCTION
      -- Performing Test HAVE_CXX_WNO_UNUSED_FUNCTION - Success
      -- Performing Test HAVE_CXX_WNO_UNUSED_CONST_VARIABLE
      -- Performing Test HAVE_CXX_WNO_UNUSED_CONST_VARIABLE - Failed
      -- Downloading v3.1.0/protobuf-cpp-3.1.0.tar.gz...
      -- Downloading v3.1.0/protobuf-cpp-3.1.0.tar.gz... Done
      -- libprotobuf: Unpacking v3.1.0/protobuf-cpp-3.1.0.tar.gz to /home/root/opencv-3.1.0/opencv_contrib/modules/dnn/3rdparty/protobuf/sources...
      -- Looking for include file pthread.h
      -- Looking for include file pthread.h - found
      -- Performing Test HAVE_CXX_WNO_ENUM_COMPARE
      -- Performing Test HAVE_CXX_WNO_ENUM_COMPARE - Success
      -- Performing Test HAVE_CXX_WNO_OVERLOADED_VIRTUAL
      -- Performing Test HAVE_CXX_WNO_OVERLOADED_VIRTUAL - Success
      -- Checking for modules 'tesseract;lept'
      --   No package 'tesseract' found
      --   No package 'lept' found
      -- Tesseract:   NO
      CMake Error at opencv_contrib/modules/text/CMakeLists.txt:22 (ocv_add_testdata):
        Unknown CMake command "ocv_add_testdata".
      
      
      -- Configuring incomplete, errors occurred!
      See also "/home/root/opencv-3.1.0/build/CMakeFiles/CMakeOutput.log".
      See also "/home/root/opencv-3.1.0/build/CMakeFiles/CMakeError.log".
      
      --------------------------------------------------------------------------------------
      
      bash-4.3# opkg install ffmpeg      
      Unknown package 'ffmpeg'.
      g xdk-daemon.
      Failed to get D-Bus connection: Unknown error -1
      Collected errors:
       * opkg_install_cmd: Cannot install package ffmpeg.
       * pkg_run_script: package "xdk-daemon" postinst script returned status 1.
       * opkg_configure: xdk-daemon.postinst returned 1.
      bash-4.3# opkg install libpng
      Package libpng16-16 (1.6.13-r0) installed in root is
      
        1 2 3 Previous Next